> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Customer

> Show the current Customer



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}:
    get:
      tags:
        - User
      summary: Show Customer
      description: Show the current Customer
      operationId: showCustomer
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: voluptatibus
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: a13651d6-616e-4afa-86e8-d0a2d1338486
                      auth_id:
                        type: string
                        example: a7b45af7-0e89-3c50-b0f4-ace0f1ed67ba
                      name:
                        type: string
                        example: Adaline Langworth
                      business_entity_id:
                        type: string
                        example: a13651d6-60a5-41eb-b7e6-8942fe1c86ed
                      currency:
                        type: string
                        example: USD
                example:
                  data:
                    uuid: a13651d6-616e-4afa-86e8-d0a2d1338486
                    auth_id: a7b45af7-0e89-3c50-b0f4-ace0f1ed67ba
                    name: Adaline Langworth
                    business_entity_id: a13651d6-60a5-41eb-b7e6-8942fe1c86ed
                    currency: USD
              example:
                data:
                  uuid: a13651d6-616e-4afa-86e8-d0a2d1338486
                  auth_id: a7b45af7-0e89-3c50-b0f4-ace0f1ed67ba
                  name: Adaline Langworth
                  business_entity_id: a13651d6-60a5-41eb-b7e6-8942fe1c86ed
                  currency: USD
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````